@echo off
if "%1"=="" goto help
if "%2"=="" goto help
echo.
echo  %3  Cabrillo  %1 ... 
REM Fill spaces with 0 in TX nr (positions 25-27)
sed ":a;s/^\(.\{24,26\}\) /\10/;ta" %3 > log1.dat
REM Remove RS(T)
sed "/^.......[0-3][0-9]-[A-Z][a-z][a-z]-[0-9][0-9].\{27\} 59...59../s/ 59...59..//" log1.dat > log2.dat
REM Format the 1st 6 fields, remove colon from time and convert band/mode, date
sed -n -f 4p.sed log2.dat > log1.dat
REM Insert mycall (%1) and myzone (%2)
sed -n -e "s/^\(.\{30\}\)\(.*\)$/\1%1             %2\2/p" log1.dat > log2.dat
REM Align TXN nr at pos.45
sed "s/^.\{44\}/&#/;s/# *//" log2.dat > log1.dat
REM Capitalize mycall and replace "-" to "/" if portable callsign (like RW9QW/9)
sed "/^.\{31,45\}/ {y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/;:a;s/^\(.\{31,45\}\)-/\1\//;ta;}" log1.dat > log2.dat
REM Remove spaces in TXN where needed (QSO nr below 1000)
sed ":a;s/^\(.\{45,47\}\) /\1/;ta;" log2.dat > log1.dat
REM Align hiscall at pos.56
sed "s/^.\{55\}/&#/;s/# *//" log1.dat > log2.dat
REM Align RXN at pos.70
sed "s/^.\{69\}/&#/;s/# *//" log2.dat > log1.dat
REM Insert cabrillo header and footer
sed -f 4p-hdr.sed log1.dat > %1.cbr
echo ⮢.
echo  䠩 %1.cbr
echo 
echo 73 .. Mike UA9CIR
del log1.dat
del log2.dat
goto end
:help
echo.
echo  N6TR-Cabrillo   .
echo  ᪠ :
echo TR2C 뢭  
echo ਬ:
echo tr2c rk9cww 2 log.dat
echo ᫨  襬 뢭  ஡, ਬ R0Y/UB5ZZZ/P,
echo  "/"  "-",  :
echo tr2c r0y-ub5zzz-p 5 log.dat
echo.
goto end
:end
